Flecs: ecs_os_api_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
ecs_os_api_t Struct Reference
C API » OS API

OS API interface. More...

`#include <os_api.h>`

## Public Attributes
ecs_os_api_init_t | init_
| init callback.
ecs_os_api_fini_t | fini_
| fini callback.
ecs_os_api_malloc_t | malloc_
| malloc callback.
ecs_os_api_realloc_t | realloc_
| realloc callback.
ecs_os_api_calloc_t | calloc_
| calloc callback.
ecs_os_api_free_t | free_
| free callback.
ecs_os_api_strdup_t | strdup_
| strdup callback.
ecs_os_api_thread_new_t | thread_new_
| thread_new callback.
ecs_os_api_thread_join_t | thread_join_
| thread_join callback.
ecs_os_api_thread_self_t | thread_self_
| thread_self callback.
ecs_os_api_thread_new_t | task_new_
| task_new callback.
ecs_os_api_thread_join_t | task_join_
| task_join callback.
ecs_os_api_ainc_t | ainc_
| ainc callback.
ecs_os_api_ainc_t | adec_
| adec callback.
ecs_os_api_lainc_t | lainc_
| lainc callback.
ecs_os_api_lainc_t | ladec_
| ladec callback.
ecs_os_api_mutex_new_t | mutex_new_
| mutex_new callback.
ecs_os_api_mutex_free_t | mutex_free_
| mutex_free callback.
ecs_os_api_mutex_lock_t | mutex_lock_
| mutex_lock callback.
ecs_os_api_mutex_lock_t | mutex_unlock_
| mutex_unlock callback.
ecs_os_api_cond_new_t | cond_new_
| cond_new callback.
ecs_os_api_cond_free_t | cond_free_
| cond_free callback.
ecs_os_api_cond_signal_t | cond_signal_
| cond_signal callback.
ecs_os_api_cond_broadcast_t | cond_broadcast_
| cond_broadcast callback.
ecs_os_api_cond_wait_t | cond_wait_
| cond_wait callback.
ecs_os_api_sleep_t | sleep_
| sleep callback.
ecs_os_api_now_t | now_
| now callback.
ecs_os_api_get_time_t | get_time_
| get_time callback.
ecs_os_api_log_t | log_
| log callback.
ecs_os_api_abort_t | abort_
| abort callback.
ecs_os_api_dlopen_t | dlopen_
| dlopen callback.
ecs_os_api_dlproc_t | dlproc_
| dlproc callback.
ecs_os_api_dlclose_t | dlclose_
| dlclose callback.
ecs_os_api_module_to_path_t | module_to_dl_
| module_to_dl callback.
ecs_os_api_module_to_path_t | module_to_etc_
| module_to_etc callback.
ecs_os_api_perf_trace_t | perf_trace_push_
ecs_os_api_perf_trace_t | perf_trace_pop_
int32_t | log_level_
| Tracing level.
int32_t | log_indent_
| Tracing indentation level.
int32_t | log_last_error_
| Last logged error code.
int64_t | log_last_timestamp_
| Last logged timestamp.
ecs_flags32_t | flags_
| OS API flags.
void * | log_out_
| File used for logging output (type is FILE*) (hint, log_ decides where to write)

## Detailed Description

OS API interface.

Definition at line 249 of file os_api.h.

## Member Data Documentation

## ◆ abort_

ecs_os_api_abort_t ecs_os_api_t::abort_

abort callback.

Definition at line 306 of file os_api.h.

## ◆ adec_

ecs_os_api_ainc_t ecs_os_api_t::adec_

adec callback.

Definition at line 274 of file os_api.h.

## ◆ ainc_

ecs_os_api_ainc_t ecs_os_api_t::ainc_

ainc callback.

Definition at line 273 of file os_api.h.

## ◆ calloc_

ecs_os_api_calloc_t ecs_os_api_t::calloc_

calloc callback.

Definition at line 257 of file os_api.h.

## ◆ cond_broadcast_

ecs_os_api_cond_broadcast_t ecs_os_api_t::cond_broadcast_

cond_broadcast callback.

Definition at line 288 of file os_api.h.

## ◆ cond_free_

ecs_os_api_cond_free_t ecs_os_api_t::cond_free_

cond_free callback.

Definition at line 286 of file os_api.h.

## ◆ cond_new_

ecs_os_api_cond_new_t ecs_os_api_t::cond_new_

cond_new callback.

Definition at line 285 of file os_api.h.

## ◆ cond_signal_

ecs_os_api_cond_signal_t ecs_os_api_t::cond_signal_

cond_signal callback.

Definition at line 287 of file os_api.h.

## ◆ cond_wait_

ecs_os_api_cond_wait_t ecs_os_api_t::cond_wait_

cond_wait callback.

Definition at line 289 of file os_api.h.

## ◆ dlclose_

ecs_os_api_dlclose_t ecs_os_api_t::dlclose_

dlclose callback.

Definition at line 311 of file os_api.h.

## ◆ dlopen_

ecs_os_api_dlopen_t ecs_os_api_t::dlopen_

dlopen callback.

Definition at line 309 of file os_api.h.

## ◆ dlproc_

ecs_os_api_dlproc_t ecs_os_api_t::dlproc_

dlproc callback.

Definition at line 310 of file os_api.h.

## ◆ fini_

ecs_os_api_fini_t ecs_os_api_t::fini_

fini callback.

Definition at line 252 of file os_api.h.

## ◆ flags_

ecs_flags32_t ecs_os_api_t::flags_

OS API flags.

Definition at line 332 of file os_api.h.

## ◆ free_

ecs_os_api_free_t ecs_os_api_t::free_

free callback.

Definition at line 258 of file os_api.h.

## ◆ get_time_

ecs_os_api_get_time_t ecs_os_api_t::get_time_

get_time callback.

Definition at line 294 of file os_api.h.

## ◆ init_

ecs_os_api_init_t ecs_os_api_t::init_

init callback.

Definition at line 251 of file os_api.h.

## ◆ ladec_

ecs_os_api_lainc_t ecs_os_api_t::ladec_

ladec callback.

Definition at line 276 of file os_api.h.

## ◆ lainc_

ecs_os_api_lainc_t ecs_os_api_t::lainc_

lainc callback.

Definition at line 275 of file os_api.h.

## ◆ log_

ecs_os_api_log_t ecs_os_api_t::log_

log callback.

The level should be interpreted as: >0: Debug tracing. Only enabled in debug builds. 0: Tracing. Enabled in debug/release builds. -2: Warning. An issue occurred, but operation was successful. -3: Error. An issue occurred, and operation was unsuccessful. -4: Fatal. An issue occurred, and application must quit.

Definition at line 297 of file os_api.h.

## ◆ log_indent_

int32_t ecs_os_api_t::log_indent_

Tracing indentation level.

Definition at line 328 of file os_api.h.

## ◆ log_last_error_

int32_t ecs_os_api_t::log_last_error_

Last logged error code.

Definition at line 329 of file os_api.h.

## ◆ log_last_timestamp_

int64_t ecs_os_api_t::log_last_timestamp_

Last logged timestamp.

Definition at line 330 of file os_api.h.

## ◆ log_level_

int32_t ecs_os_api_t::log_level_

Tracing level.

Definition at line 327 of file os_api.h.

## ◆ log_out_

void* ecs_os_api_t::log_out_

File used for logging output (type is FILE*) (hint, log_ decides where to write)

Definition at line 334 of file os_api.h.

## ◆ malloc_

ecs_os_api_malloc_t ecs_os_api_t::malloc_

malloc callback.

Definition at line 255 of file os_api.h.

## ◆ module_to_dl_

ecs_os_api_module_to_path_t ecs_os_api_t::module_to_dl_

module_to_dl callback.

Definition at line 315 of file os_api.h.

## ◆ module_to_etc_

ecs_os_api_module_to_path_t ecs_os_api_t::module_to_etc_

module_to_etc callback.

Definition at line 319 of file os_api.h.

## ◆ mutex_free_

ecs_os_api_mutex_free_t ecs_os_api_t::mutex_free_

mutex_free callback.

Definition at line 280 of file os_api.h.

## ◆ mutex_lock_

ecs_os_api_mutex_lock_t ecs_os_api_t::mutex_lock_

mutex_lock callback.

Definition at line 281 of file os_api.h.

## ◆ mutex_new_

ecs_os_api_mutex_new_t ecs_os_api_t::mutex_new_

mutex_new callback.

Definition at line 279 of file os_api.h.

## ◆ mutex_unlock_

ecs_os_api_mutex_lock_t ecs_os_api_t::mutex_unlock_

mutex_unlock callback.

Definition at line 282 of file os_api.h.

## ◆ now_

ecs_os_api_now_t ecs_os_api_t::now_

now callback.

Definition at line 293 of file os_api.h.

## ◆ perf_trace_pop_

ecs_os_api_perf_trace_t ecs_os_api_t::perf_trace_pop_

Definition at line 325 of file os_api.h.

## ◆ perf_trace_push_

ecs_os_api_perf_trace_t ecs_os_api_t::perf_trace_push_

Definition at line 322 of file os_api.h.

## ◆ realloc_

ecs_os_api_realloc_t ecs_os_api_t::realloc_

realloc callback.

Definition at line 256 of file os_api.h.

## ◆ sleep_

ecs_os_api_sleep_t ecs_os_api_t::sleep_

sleep callback.

Definition at line 292 of file os_api.h.

## ◆ strdup_

ecs_os_api_strdup_t ecs_os_api_t::strdup_

strdup callback.

Definition at line 261 of file os_api.h.

## ◆ task_join_

ecs_os_api_thread_join_t ecs_os_api_t::task_join_

task_join callback.

Definition at line 270 of file os_api.h.

## ◆ task_new_

ecs_os_api_thread_new_t ecs_os_api_t::task_new_

task_new callback.

Definition at line 269 of file os_api.h.

## ◆ thread_join_

ecs_os_api_thread_join_t ecs_os_api_t::thread_join_

thread_join callback.

Definition at line 265 of file os_api.h.

## ◆ thread_new_

ecs_os_api_thread_new_t ecs_os_api_t::thread_new_

thread_new callback.

Definition at line 264 of file os_api.h.

## ◆ thread_self_

ecs_os_api_thread_self_t ecs_os_api_t::thread_self_

thread_self callback.

Definition at line 266 of file os_api.h.

The documentation for this struct was generated from the following file:

- include/flecs/os_api.h